export function isAllEmpty(value: string | number | any[] | AnyObject) {
  if (!value && typeof value !== 'number') {
    return false
  }

  switch (typeof value) {
    case 'object': {
      if (Array.isArray(value)) {
        return value.length === 0
      } else {
        return Object.keys(value).length === 0
      }
    }
    default:
      return true
  }
}
